Package com.databricks.jdbc.model.client.thrift.generated

## Class TGetPrimaryKeysReq

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TGetPrimaryKeysReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetPrimaryKeysReq>`, `org.apache.thrift.TBase<TGetPrimaryKeysReq,​TGetPrimaryKeysReq._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TGetPrimaryKeysReq
    extends Object
    implements org.apache.thrift.TBase<TGetPrimaryKeysReq,​TGetPrimaryKeysReq._Fields>, Serializable, Cloneable, Comparable<TGetPrimaryKeysReq>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TGetPrimaryKeysReq._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `catalogName`
`TSparkGetDirectResults` `getDirectResults`
`static Map<TGetPrimaryKeysReq._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `runAsync`
`String` `schemaName`
`TSessionHandle` `sessionHandle`
`String` `tableName`

### Constructor Summary

Constructors
`TGetPrimaryKeysReq()`
`TGetPrimaryKeysReq​(TGetPrimaryKeysReq other)` Performs a deep copy on other.
`TGetPrimaryKeysReq​(TSessionHandle sessionHandle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TGetPrimaryKeysReq other)`
`TGetPrimaryKeysReq` `deepCopy()`
`boolean` `equals​(TGetPrimaryKeysReq that)`
`boolean` `equals​(Object that)`
`TGetPrimaryKeysReq._Fields` `fieldForId​(int fieldId)`
`String` `getCatalogName()`
`Object` `getFieldValue​(TGetPrimaryKeysReq._Fields field)`
`TSparkGetDirectResults` `getGetDirectResults()`
`String` `getSchemaName()`
`TSessionHandle` `getSessionHandle()`
`String` `getTableName()`
`int` `hashCode()`
`boolean` `isRunAsync()`
`boolean` `isSet​(TGetPrimaryKeysReq._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCatalogName()` Returns true if field catalogName is set (has been assigned a value) and false otherwise
`boolean` `isSetGetDirectResults()` Returns true if field getDirectResults is set (has been assigned a value) and false otherwise
`boolean` `isSetRunAsync()` Returns true if field runAsync is set (has been assigned a value) and false otherwise
`boolean` `isSetSchemaName()` Returns true if field schemaName is set (has been assigned a value) and false otherwise
`boolean` `isSetSessionHandle()` Returns true if field sessionHandle is set (has been assigned a value) and false otherwise
`boolean` `isSetTableName()` Returns true if field tableName is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TGetPrimaryKeysReq` `setCatalogName​(String catalogName)`
`void` `setCatalogNameIsSet​(boolean value)`
`void` `setFieldValue​(TGetPrimaryKeysReq._Fields field, Object value)`
`TGetPrimaryKeysReq` `setGetDirectResults​(TSparkGetDirectResults getDirectResults)`
`void` `setGetDirectResultsIsSet​(boolean value)`
`TGetPrimaryKeysReq` `setRunAsync​(boolean runAsync)`
`void` `setRunAsyncIsSet​(boolean value)`
`TGetPrimaryKeysReq` `setSchemaName​(String schemaName)`
`void` `setSchemaNameIsSet​(boolean value)`
`TGetPrimaryKeysReq` `setSessionHandle​(TSessionHandle sessionHandle)`
`void` `setSessionHandleIsSet​(boolean value)`
`TGetPrimaryKeysReq` `setTableName​(String tableName)`
`void` `setTableNameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCatalogName()`
`void` `unsetGetDirectResults()`
`void` `unsetRunAsync()`
`void` `unsetSchemaName()`
`void` `unsetSessionHandle()`
`void` `unsetTableName()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sessionHandle

    public TSessionHandle sessionHandle

#### catalogName

    public String catalogName

#### schemaName

    public String schemaName

#### tableName

    public String tableName

#### getDirectResults

    public TSparkGetDirectResults getDirectResults

#### runAsync

    public boolean runAsync

#### metaDataMap

    public static final Map<TGetPrimaryKeysReq._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TGetPrimaryKeysReq

    public TGetPrimaryKeysReq()

#### TGetPrimaryKeysReq

    public TGetPrimaryKeysReq​(TSessionHandle sessionHandle)

#### TGetPrimaryKeysReq

    public TGetPrimaryKeysReq​(TGetPrimaryKeysReq other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TGetPrimaryKeysReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetPrimaryKeysReq,​TGetPrimaryKeysReq._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetPrimaryKeysReq,​TGetPrimaryKeysReq._Fields>`

#### getSessionHandle

    public TSessionHandle getSessionHandle()

#### setSessionHandle

    public TGetPrimaryKeysReq setSessionHandle​(TSessionHandle sessionHandle)

#### unsetSessionHandle

    public void unsetSessionHandle()

#### isSetSessionHandle

    public boolean isSetSessionHandle()

Returns true if field sessionHandle is set (has been assigned a value) and false otherwise

#### setSessionHandleIsSet

    public void setSessionHandleIsSet​(boolean value)

#### getCatalogName

    public String getCatalogName()

#### setCatalogName

    public TGetPrimaryKeysReq setCatalogName​(String catalogName)

#### unsetCatalogName

    public void unsetCatalogName()

#### isSetCatalogName

    public boolean isSetCatalogName()

Returns true if field catalogName is set (has been assigned a value) and false otherwise

#### setCatalogNameIsSet

    public void setCatalogNameIsSet​(boolean value)

#### getSchemaName

    public String getSchemaName()

#### setSchemaName

    public TGetPrimaryKeysReq setSchemaName​(String schemaName)

#### unsetSchemaName

    public void unsetSchemaName()

#### isSetSchemaName

    public boolean isSetSchemaName()

Returns true if field schemaName is set (has been assigned a value) and false otherwise

#### setSchemaNameIsSet

    public void setSchemaNameIsSet​(boolean value)

#### getTableName

    public String getTableName()

#### setTableName

    public TGetPrimaryKeysReq setTableName​(String tableName)

#### unsetTableName

    public void unsetTableName()

#### isSetTableName

    public boolean isSetTableName()

Returns true if field tableName is set (has been assigned a value) and false otherwise

#### setTableNameIsSet

    public void setTableNameIsSet​(boolean value)

#### getGetDirectResults

    public TSparkGetDirectResults getGetDirectResults()

#### setGetDirectResults

    public TGetPrimaryKeysReq setGetDirectResults​(TSparkGetDirectResults getDirectResults)

#### unsetGetDirectResults

    public void unsetGetDirectResults()

#### isSetGetDirectResults

    public boolean isSetGetDirectResults()

Returns true if field getDirectResults is set (has been assigned a value) and false otherwise

#### setGetDirectResultsIsSet

    public void setGetDirectResultsIsSet​(boolean value)

#### isRunAsync

    public boolean isRunAsync()

#### setRunAsync

    public TGetPrimaryKeysReq setRunAsync​(boolean runAsync)

#### unsetRunAsync

    public void unsetRunAsync()

#### isSetRunAsync

    public boolean isSetRunAsync()

Returns true if field runAsync is set (has been assigned a value) and false otherwise

#### setRunAsyncIsSet

    public void setRunAsyncIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TGetPrimaryKeysReq._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetPrimaryKeysReq,​TGetPrimaryKeysReq._Fields>`

#### getFieldValue

    public Object getFieldValue​(TGetPrimaryKeysReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetPrimaryKeysReq,​TGetPrimaryKeysReq._Fields>`

#### isSet

    public boolean isSet​(TGetPrimaryKeysReq._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetPrimaryKeysReq,​TGetPrimaryKeysReq._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TGetPrimaryKeysReq that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TGetPrimaryKeysReq other)

Specified by:
  `compareTo` in interface `Comparable<TGetPrimaryKeysReq>`

#### fieldForId

    public TGetPrimaryKeysReq._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetPrimaryKeysReq,​TGetPrimaryKeysReq._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`